​
Select Service
ves-io-schema-forwarding_class-API-List
Published April 5, 2023 | Last modified July 6, 2026
Examples of listing forwarding_class
Usecase:
List forwarding_class
Request using vesctl:
vesctl configuration list forwarding_class --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: forwarding-class-1 namespace: documentation statusSet: [] tenant: acmecorp uid: 6f192df5-d5aa-441b-812b-823ba10c56b1Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/forwarding_classs'curl response
HTTP/1.1 200 OKContent-Length: 448Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:03:05 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "forwarding-class-1", "uid": "6f192df5-d5aa-441b-812b-823ba10c56b1", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}